Get Organization Audit Events
curl --request GET \
--url https://sandbox-api.borderless.xyz/v1/organizations/audit-events \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox-api.borderless.xyz/v1/organizations/audit-events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.borderless.xyz/v1/organizations/audit-events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"hasMore": true,
"data": [
{
"id": "<string>",
"action": "<string>",
"metadata": {},
"actor": {
"name": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}Organizations
Get Organization Audit Events
Retrieve a list of Organization Audit Events with pagination support. Use query parameters startingAfter and limit to navigate results.
GET
/
v1
/
organizations
/
audit-events
Get Organization Audit Events
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter by event category.
Available options:
Credentials, Routing, Network Filter by actor type.
Available options:
DashboardUser, ApiToken, Admin Filter by exact action key.
Only events at or after this ISO date-time.
Only events at or before this ISO date-time.
Free-text search over action and actor email.
Id used to retrieve results that come after the specified item.
Response page limit. Min 1, Max 100, Default value is 10.
Was this page helpful?
⌘I